For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • GETGet Hourly Report Root Preset by ID
      • GETGet Hourly Report Root Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
EndpointsProjects

Get Hourly Report Root Presets

GET
/timesheets/root-presets
GET
/rest/v2/timesheets/root-presets
$curl -G https://api.letsdeel.com/rest/v2/timesheets/root-presets \
> -H "Authorization: Bearer <token>" \
> -d limit=20 \
> -d order_by=created_at \
> -d order_direction=DESC \
> -d work_statement_statuses=ACTIVE \
> -d work_statement_statuses=PENDING \
> -d cursor=next_page_token_123
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "title": "Standard Monthly Template",
6 "description": "Base template for monthly timesheet reporting",
7 "contracts_count": 5,
8 "hourly_report_presets_count": 12,
9 "file": {
10 "id": "123e4567-e89b-12d3-a456-426614174000",
11 "name": "your_file_name",
12 "type": "pdf"
13 },
14 "type": "RATE"
15 }
16 ],
17 "page": {
18 "cursor": "next_page_token_123",
19 "total_rows": 100
20 }
21}

Returns a cursor-paginated list of hourly report root presets, with optional filtering by work_statement_statuses and result ordering. Token scopes: timesheets:read

Was this page helpful?
Previous

Update Hourly Report Preset

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional<=100Defaults to 10

Maximum number of items to return per page (max: 100)

order_byenumOptionalDefaults to created_at
Field to order the results by
Allowed values:
order_directionenumOptionalDefaults to DESC

Direction to order the results (ascending or descending)

Allowed values:
work_statement_statuseslist of stringsOptional
Filter results by work statement status
cursorstringOptional
Pagination cursor for fetching the next page of results

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/